### Method

# GIRepository BaseInfo equal

since: 2.80

#### Declaration

    gboolean
    gi_base_info_equal (
      GIBaseInfo* info1,
      GIBaseInfo* info2
    )

#### Description

Compare two `GIBaseInfo`s.

Using pointer comparison is not practical since many functions return different instances of `GIBaseInfo` that refers to the same part of the TypeLib; use this function instead to do `GIBaseInfo` comparisons.

Available since: 2.80

#### Parameters

`info2`

  Type: `GIBaseInfo`

  A `GIBaseInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if and only if `info1` equals `info2`.